Page MenuHomePhabricator

[Story] SPARQL textual representation
Closed, ResolvedPublic

Description

We would like to have a textual representation of SPARQL queries that hides all the technical clutter of SPARQL and is enabling non technical users to understand and modify SPARQL queries.

An example of textual representation of this query could be:

Find instance of space probe
Show image and time of spacecraft launch

The UI should allow a user to easily change properties and items in that textual representation.

A future goal should be that users can also create queries from scratch and add or delete triples of existing queries.

It is not a goal to replace SPARQL or to reflect every aspect of an SPARQL query.

Event Timeline

Jonas created this task.Apr 4 2016, 8:25 AM
Restricted Application added a project: Discovery. · View Herald TranscriptApr 4 2016, 8:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 280230 had a related patch set uploaded (by Jonas Kress (WMDE)):
[WIP] Visual editor for SPARQL

https://gerrit.wikimedia.org/r/280230

Jonas added a subscriber: Bene.Apr 5 2016, 6:17 PM

I finished the implementation of the basic algorithm we come up with at the hackathon.
Please try it out and give feedback!

I think it works pretty well with basic queries, but there are a lot of edge cases we don't cover.
We should come up with a list of things we want to implement, before we can deploy this.
I guess BIND() is one of those things on that list.

The UI integration is still to be done and I will talk with Lydia to come up with something.
I also will implement some functionality to change values.

Change 280230 abandoned by Jonas Kress (WMDE):
[WIP] Visual editor for SPARQL

https://gerrit.wikimedia.org/r/280230

Change 282699 had a related patch set uploaded (by Jonas Kress (WMDE)):
Introduce Visual Editor

https://gerrit.wikimedia.org/r/282699

So prototype is finally ready, please test!
SPARQL output is still very messy, but it will be fixed soon:
https://github.com/RubenVerborgh/SPARQL.js/issues/24
https://github.com/RubenVerborgh/SPARQL.js/pull/25

Quick testing:
https://jonas-wmde.github.io

Change 282699 merged by jenkins-bot:
Introduce Visual Editor

https://gerrit.wikimedia.org/r/282699

Jonas closed this task as Resolved.Apr 13 2016, 9:35 AM
Jonas moved this task from Doing to Done on the Wikidata-Sprint-2016-04-12 board.